Publish an RBS volume

POST/v1/remote_block_storage/volumes/{volume_id}/publish

A POST request to /v1/remote_block_storage/volumes/{volume_id}/publish will publish an RBS volume, exposing it as an iSCSI target so a server can attach it. Specify a volume in the path parameter. The volume must be active to be published.

This is an asynchronous operation: the volume's operational status moves to publishing and then to published.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

FieldDetails
volume_id
string

A unique identifier of an RBS volume. Use this request to list all volume IDs.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/remote_block_storage/volumes/GRb41dBL/publish"
{  "id": "GRb41dBL",  "name": "name2125",  "size": 100,  "status": "active",  "location_id": 2023,  "location_code": "AMS2023",  "flavor_id": 3101,  "flavor_name": "RBS Flavor name2123",  "iops": 46630,  "bandwidth": 85741,  "labels": {},  "ip_address": null,  "target_iqn": null,  "operational_status": "publishing",  "created_at": "2025-12-31T00:00:00.000Z",  "updated_at": "2025-12-31T00:00:00.000Z"}